
From: Andi Kleen <ak@suse.de>

Here's the correct fix. agp_bridge is defined in drivers/char/agp/agp.h.
It's a bit ugly though.

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/pci-gart.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/x86_64/kernel/pci-gart.c~agp-x86_64-build-fix arch/x86_64/kernel/pci-gart.c
--- 25/arch/x86_64/kernel/pci-gart.c~agp-x86_64-build-fix	Thu Jan  6 16:36:59 2005
+++ 25-akpm/arch/x86_64/kernel/pci-gart.c	Thu Jan  6 16:36:59 2005
@@ -789,7 +789,7 @@ static int __init pci_iommu_init(void)
 	/* Add other K8 AGP bridge drivers here */
 	no_agp = no_agp || 
 		(agp_amd64_init() < 0) || 
-		(agp_copy_info(&info) < 0); 
+		(agp_copy_info(agp_bridge, &info) < 0);
 #endif	
 
 	if (swiotlb) { 
_
